Bug 33258 - [FR] Добавить обработку переменной NO_PROXY для исключений прокси
: [FR] Добавить обработку переменной NO_PROXY для исключений прокси
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/setup)
: unstable
: all Linux
: P3 enhancement
Assigned To:
:
: http://git.altlinux.org/people/snejok...
:
:
: 27753
  Show dependency tree
 
Reported: 2017-03-20 13:31 by
Modified: 2017-08-24 21:34 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2017-03-20 13:31:47
Прошу рассмотреть возможность и добавить обработку переменной NO_PROXY для
исключений прокси

Пример с облачного хоста openstack:

export http_proxy=http://10.3.8.80:8080
export https_proxy=http://10.3.8.80:8080
export ftp_proxy=http://10.3.8.80:8080
export
no_proxy=localhost,controller,controller1,controller2,controller0,ceph0,ceph1,ceph2

# cat /etc/hosts
127.0.0.1       localhost.localdomain localhost

10.208.239.194  controller
10.208.239.195  controller0
10.208.239.196  controller1
10.208.239.197  controller2
10.208.239.198  ceph0
10.208.239.199  ceph1
10.208.239.200  ceph2

если no_proxy не использовать, то консольные утилиты openstack,
которые связываются со службами openstack посредством http,
пойдут через proxy и не дойдут до цели.
------- Comment #1 From 2017-03-29 10:59:07 -------
https://bugzilla.altlinux.org/show_bug.cgi?id=27753
------- Comment #2 From 2017-08-24 21:34:54 -------
setup-2.2.15-alt1 -> sisyphus:

Thu Aug 24 2017 Alexey Gladkov <legion@altlinux.ru> 2.2.15-alt1
- Dropped /etc/csh.* (closes: #33676).
- /etc/profile.d/proxy.*sh: learned no_proxy env (closes: #33258).
- Updated /etc/services (closes: #33630).
- Updated /etc/protocols (closes: #32052).
- /etc/profile.d/lang.*sh: added /etc/locale.conf as one more source of locale
settings (closes: #28527).
- /etc/profile: do not add /usr/X11R6/bin to $PATH (see ALT#11699).
- /etc/exports: renamed portmap to rpcbind in the comment (closes: #26000).